NX Open C++ Reference Guide
|
Represents a @link Features::LawExtensionEx Features::LawExtensionEx@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateLawExtensionBuilderEx Features::FeatureCollection::CreateLawExtensionBuilderEx @endlink <br>
Default values. More...
Public Types | |
enum | MiterOptions { MiterOptionsNone, MiterOptionsSharp, MiterOptionsBlend, MiterOptionsRadius } |
Miter options. More... | |
enum | OppositeSideExtensionOptions { OppositeSideExtensionOptionsNone, OppositeSideExtensionOptionsSymmetric, OppositeSideExtensionOptionsAsymmetric } |
Opposite side extension options. More... | |
enum | Types { TypesFaces, TypesVector } |
Law extension creation types. More... | |
Public Member Functions | |
NXOpen::GeometricUtilities::LawBuilder * | AngleLaw () |
Returns the angle law Created in NX8.5.0. | |
double | AngleTolerance () |
Returns the angle tolerance Created in NX8.5.0. | |
NXOpen::Section * | BaseProfile () |
Returns the base profile Created in NX8.5.0. | |
NXOpen::GeometricUtilities::CurveFitData * | CurveFitData () |
Returns the curve fit data Created in NX8.5.0. | |
double | DistanceTolerance () |
Returns the distance tolerance Created in NX8.5.0. | |
NXOpen::ScCollector * | Faces () |
Returns the faces. | |
bool | IsReferenceFaceNormalReversed () |
Returns a value indicating whether to reverse the reference face normal. | |
bool | LaydownCurve () |
Returns a value indicating whether to laydown the base curve to base faces Created in NX8.5.0. | |
NXOpen::GeometricUtilities::LawBuilder * | LengthLaw () |
Returns the length law Created in NX8.5.0. | |
bool | MergeFacesIfPossible () |
Returns a value indicating whether to merge the faces if possible Created in NX8.5.0. | |
NXOpen::Features::LawExtensionBuilderEx::MiterOptions | MiterOption () |
Returns the miter option Created in NX8.5.0. | |
NXOpen::Expression * | MiterRadius () |
Returns the miter radius Created in NX8.5.0. | |
NXOpen::Features::LawExtensionBuilderEx::OppositeSideExtensionOptions | OppositeSideExtensionOption () |
Returns the opposite side extension option Created in NX8.5.0. | |
NXOpen::GeometricUtilities::LawBuilder * | OppositeSideLengthLaw () |
Returns the opposite side length law. | |
void | SetAngleTolerance (double angleTolerance) |
Sets the angle tolerance Created in NX8.5.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance Created in NX8.5.0. | |
void | SetLaydownCurve (bool laydownCurve) |
Sets a value indicating whether to laydown the base curve to base faces Created in NX8.5.0. | |
void | SetMergeFacesIfPossible (bool mergeFacesIfPossible) |
Sets a value indicating whether to merge the faces if possible Created in NX8.5.0. | |
void | SetMiterOption (NXOpen::Features::LawExtensionBuilderEx::MiterOptions miterOption) |
Sets the miter option Created in NX8.5.0. | |
void | SetOppositeSideExtensionOption (NXOpen::Features::LawExtensionBuilderEx::OppositeSideExtensionOptions oppositeSideExtension) |
Sets the opposite side extension option Created in NX8.5.0. | |
void | SetReferenceFaceNormalReversed (bool reverseNormal) |
Sets a value indicating whether to reverse the reference face normal. | |
void | SetType (NXOpen::Features::LawExtensionBuilderEx::Types type) |
Sets the type Created in NX8.5.0. | |
void | SetVector (NXOpen::Direction *vector) |
Sets the vector. | |
NXOpen::GeometricUtilities::SpineDefinitionBuilder * | SpineDefinition () |
Returns the spine definition Created in NX8.5.0. | |
NXOpen::Features::LawExtensionBuilderEx::Types | Type () |
Returns the type Created in NX8.5.0. | |
NXOpen::Direction * | Vector () |
Returns the vector. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::LawExtensionEx Features::LawExtensionEx@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateLawExtensionBuilderEx Features::FeatureCollection::CreateLawExtensionBuilderEx @endlink <br>
Default values.
Property | Value |
---|---|
AngleLaw.Function |
ft |
AngleLaw.LawType |
Constant |
AngleLaw.Parameter |
t |
CurveFitData.CurveJoinMethod |
No |
CurveFitData.Degree |
7 |
CurveFitData.FitMethod |
DegreeAndSegments |
CurveFitData.IsAdvancedFit |
0 |
CurveFitData.IsAlignShape |
0 |
CurveFitData.MaximumDegree |
7 |
CurveFitData.MaximumSegments |
1 |
CurveFitData.MinimumDegree |
5 |
CurveFitData.Segments |
1 |
LaydownCurve |
True |
LengthLaw.LawType |
Constant |
MergeFacesIfPossible |
False |
MiterOption |
Blend |
MiterRadius.Value |
2.5 (millimeters part), 0.1 (inches part) |
OppositeSideLengthLaw.LawType |
Constant |
SpineDefinition.Method |
None |
Created in NX8.5.0.
Opposite side extension options.
OppositeSideExtensionOptionsNone |
No extension. |
OppositeSideExtensionOptionsSymmetric |
Symmetric extension. |
OppositeSideExtensionOptionsAsymmetric |
Asymmetric extension. |
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::LawExtensionBuilderEx::AngleLaw | ( | ) |
Returns the angle law
Created in NX8.5.0.
License requirements : None
double NXOpen::Features::LawExtensionBuilderEx::AngleTolerance | ( | ) |
Returns the angle tolerance
Created in NX8.5.0.
License requirements : None
NXOpen::Section* NXOpen::Features::LawExtensionBuilderEx::BaseProfile | ( | ) |
Returns the base profile
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::CurveFitData* NXOpen::Features::LawExtensionBuilderEx::CurveFitData | ( | ) |
Returns the curve fit data
Created in NX8.5.0.
License requirements : None
double NXOpen::Features::LawExtensionBuilderEx::DistanceTolerance | ( | ) |
Returns the distance tolerance
Created in NX8.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::LawExtensionBuilderEx::Faces | ( | ) |
Returns the faces.
Faces are used only when Features::LawExtensionBuilderEx::Types is Features::LawExtensionBuilderEx::TypesFaces . The faces must be sewable to form a single sheet body. The normal of the sewed sheet body and base profile direction provide local reference co-ordinate system for the orientation of the surface rule lines.
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::LawExtensionBuilderEx::IsReferenceFaceNormalReversed | ( | ) |
Returns a value indicating whether to reverse the reference face normal.
When Features::LawExtensionBuilderEx::Types is Features::LawExtensionBuilderEx::TypesFaces , the input faces are sewed to form a single sheet body. The normal of the sheet body is decided based on the face which is nearest to the parametric mid point of the base profile and acts as the reference face normal.
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::LawExtensionBuilderEx::LaydownCurve | ( | ) |
Returns a value indicating whether to laydown the base curve to base faces
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::LawExtensionBuilderEx::LengthLaw | ( | ) |
Returns the length law
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::LawExtensionBuilderEx::MergeFacesIfPossible | ( | ) |
Returns a value indicating whether to merge the faces if possible
Created in NX8.5.0.
License requirements : None
NXOpen::Features::LawExtensionBuilderEx::MiterOptions NXOpen::Features::LawExtensionBuilderEx::MiterOption | ( | ) |
Returns the miter option
Created in NX8.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::LawExtensionBuilderEx::MiterRadius | ( | ) |
Returns the miter radius
Created in NX8.5.0.
License requirements : None
NXOpen::Features::LawExtensionBuilderEx::OppositeSideExtensionOptions NXOpen::Features::LawExtensionBuilderEx::OppositeSideExtensionOption | ( | ) |
Returns the opposite side extension option
Created in NX8.5.0.
License requirements : None
NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::LawExtensionBuilderEx::OppositeSideLengthLaw | ( | ) |
Returns the opposite side length law.
Opposite side extension law is required only when Features::LawExtensionBuilderEx::OppositeSideExtensionOptions is Features::LawExtensionBuilderEx::OppositeSideExtensionOptionsAsymmetric
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::LawExtensionBuilderEx::SetAngleTolerance | ( | double | angleTolerance | ) |
Sets the angle tolerance
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
angleTolerance | angletolerance |
void NXOpen::Features::LawExtensionBuilderEx::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
distanceTolerance | distancetolerance |
void NXOpen::Features::LawExtensionBuilderEx::SetLaydownCurve | ( | bool | laydownCurve | ) |
Sets a value indicating whether to laydown the base curve to base faces
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
laydownCurve | laydowncurve |
void NXOpen::Features::LawExtensionBuilderEx::SetMergeFacesIfPossible | ( | bool | mergeFacesIfPossible | ) |
Sets a value indicating whether to merge the faces if possible
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
mergeFacesIfPossible | mergefacesifpossible |
void NXOpen::Features::LawExtensionBuilderEx::SetMiterOption | ( | NXOpen::Features::LawExtensionBuilderEx::MiterOptions | miterOption | ) |
Sets the miter option
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
miterOption | miteroption |
void NXOpen::Features::LawExtensionBuilderEx::SetOppositeSideExtensionOption | ( | NXOpen::Features::LawExtensionBuilderEx::OppositeSideExtensionOptions | oppositeSideExtension | ) |
Sets the opposite side extension option
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
oppositeSideExtension | oppositesideextension |
void NXOpen::Features::LawExtensionBuilderEx::SetReferenceFaceNormalReversed | ( | bool | reverseNormal | ) |
Sets a value indicating whether to reverse the reference face normal.
When Features::LawExtensionBuilderEx::Types is Features::LawExtensionBuilderEx::TypesFaces , the input faces are sewed to form a single sheet body. The normal of the sheet body is decided based on the face which is nearest to the parametric mid point of the base profile and acts as the reference face normal.
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
reverseNormal | reversenormal |
void NXOpen::Features::LawExtensionBuilderEx::SetType | ( | NXOpen::Features::LawExtensionBuilderEx::Types | type | ) |
Sets the type
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
type | type |
void NXOpen::Features::LawExtensionBuilderEx::SetVector | ( | NXOpen::Direction * | vector | ) |
Sets the vector.
Vector is used only when Features::LawExtensionBuilderEx::Types is Features::LawExtensionBuilderEx::TypesVector
Created in NX8.5.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR free_form_modeling ("FREE-FORM MODELING")
vector | vector |
NXOpen::GeometricUtilities::SpineDefinitionBuilder* NXOpen::Features::LawExtensionBuilderEx::SpineDefinition | ( | ) |
Returns the spine definition
Created in NX8.5.0.
License requirements : None
NXOpen::Features::LawExtensionBuilderEx::Types NXOpen::Features::LawExtensionBuilderEx::Type | ( | ) |
Returns the type
Created in NX8.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::LawExtensionBuilderEx::Vector | ( | ) |
Returns the vector.
Vector is used only when Features::LawExtensionBuilderEx::Types is Features::LawExtensionBuilderEx::TypesVector
Created in NX8.5.0.
License requirements : None